﻿<%@ Page Title="About Us" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="About.aspx.cs" Inherits="Contoso.About" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">

    <h1>
        Workflow Services<br />
        Visual Design of Workflows using WCF and WF 4
    </h1>

    <h2>Scenario description</h2>
    <p>
        Contoso Housing is a real estate company that sells houses and condos. To provide better customer service and an end-to-end buying experience, Contoso partners with three mortgage companies that assist potential customers with their mortgage needs. Each mortgage company offers different interest rates to customers. Contoso prioritizes mortgage vendors by their interest rates to ensure that customers get the best deal (using the assumption that a better rate makes the house more likely to sell).
    </p>
    <p>
        Customers provide their mortgage request data via a Web application. Customers enter a customer ID, the price of the house, the amount of down payment, the loan period in years, salary information, and some background verification information. 
    </p>
    <p>
        The first step in the application workflow uses the customer-entered data to screen the customer and determine eligibility prior to sending the request on to the mortgage vendors. The application follows these rules:       
    </p>
    <ul>
        <li>If the applicant had a foreclosure, a bankruptcy, or is in a lawsuit, the petition will be rejected. </li>
        <li>If the applicant does not have credit history and provides a down payment lower than 20 percent, the application is returned for revision (incorrect petition), but is not rejected. The customer must provide at least a 20 percent down payment to continue.</li>
        <li>If none of the above caveats apply, the petition is approved. </li>
    </ul>
    <p>
        The mortgage vendors are contacted following Contoso’s preferred order for doing business with them. The process contacts the mortgage vendors in priority order to petition the mortgage request. If a mortgage vendor rejects the applicant, the next one is asked. There is a standard service contract for mortgage approval requests that all vendors implement. During this stage in the process, customers should be able to query the state of their request.
    </p>
    <p>
        Once the mortgage petition is resolved (one vendor accepted or all rejected), the customer interaction is recorded in Contoso’s customer relationship management (CRM) system through a service exposed by the CRM system. The result is returned to the customer. 
    </p>

    <h2>WF Flowchart Definition</h2>
    <img src="../img/figure 3.png" alt="Flowchart definition"/>
</asp:Content>
