﻿using System;
using System.ServiceModel;
using Contoso.ContosoRealEstate;

namespace Contoso
{
    public partial class RequestStatus : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                if (!string.IsNullOrEmpty(Request["client"]))
                {
                    this.txtId.Text = Request["client"];
                    RetrieveAndShowState();
                }
            }            
        }

        protected void OnSubmit(object sender, EventArgs e)
        {
            RetrieveAndShowState();
        }

        void RetrieveAndShowState()
        {
            if (!string.IsNullOrEmpty(this.txtId.Text))
            {                                
                using (ContosoRealEstateClient client = new ContosoRealEstateClient())
                {
                    try
                    {
                        string result = client.GetState(this.txtId.Text);
                        this.lblStatus.Text = result;
                    }
                    catch (FaultException)
                    {
                        this.lblStatus.Text = "There is no pending request or the request has been completed";
                    }
                }
                this.lblStatusDate.Text = string.Format("Last updated on {0}", DateTime.Now.ToString());            
            }
        }
    }
}
